.carousel-container {
  position: relative;
  width: 100%;
  height: 50vh;
  /* Képernyő magasságának egyharmada */
  overflow: hidden;
  z-index: -1;
  background-color: var(--elso-szin);
}

.carousel-slide {
  display: flex;
  height: 100%;
  position: relative;
  /* Módosítva */
}

.carousel-item {
  display: none;
  /* Alapból nem látszódik */
  position: absolute;
  /* Az elemek egymásra fognak kerülni */
  width: 100%;
  transition: opacity 1s ease-in-out;
  /* Sima áttűnés */
  opacity: 0;
  /* Kezdetben átlátszó */
  display: table;
}

.carousel-item.active {
  display: block;
  /* Aktív elem megjelenítése */
  opacity: 1;
  /* Teljesen láthatóvá válik */
}


.carousel-item img {
  width: 100%;
  height: auto;
  object-fit: cover;
  /* A kép kitölti a rendelkezésre álló helyet anélkül, hogy torzulna */
}

.carousel-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 20px;
  /* Állítsd be a kívánt méretre */
  padding: 10px;
  text-align: center;
  max-width: 30%;
  font-size: 24px;
  line-height: 150%;
}

.carousel-text h2 {
  font-size: 50px;
}

#prevBtn,
#nextBtn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: transparent;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 30px;
}

#prevBtn {
  left: 10px;
}

#nextBtn {
  right: 10px;
}

#bannerLogo {
  max-width: 60%;
  margin: 8px 20%;
}

.bannersor {
  padding: 0px 0px 0px 0px;
  margin: 16px 0px 16px 0px;
}

@media screen and (max-width: 1024px) {
  .carousel-container {
    height: 40vh;
  }
  .carousel-text h2 {
    font-size: 40px;
  }
  .carousel-text {
    font-size: 20px;
    line-height: 120%;
  }
}
@media screen and (max-width: 1024px) {
  .carousel-container {
    height: 20vh;
  }
  .carousel-text h2 {
    font-size: 30px;
    margin: 8px;
  }
  .carousel-text {
    font-size: 16px;
    line-height: 120%;
  }
}
@media screen and (max-width: 1024px) {
  .carousel-container {
    height: 20vh;
  }
  .carousel-text h2 {
    font-size: 30px;
    margin: 8px;
  }
  .carousel-text {
    font-size: 16px;
    line-height: 120%;
  }
}
@media screen and (max-width: 480px) {
  .carousel-item img {
  display: none;
  }
  .carousel-container {
    display: none;
  }
}

